// Skybox, adapted from hip_grimm
textures/hubris/sky_grimmnight
{
	qer_editorImage textures/hubris/env/grimmnight_rt.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sunExt 0.7 0.7 1.0 50 340 30 2 16
	q3map_skylight 50 8
	noPicMip
	noMipMaps
	noCompress

	skyparms textures/hubris/env/grimmnight - -
	{
		map $whiteimage
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen const 0.0
	}
}
//---------------------------------------------------------------------

// Water shaders
// Green water adapted from eltz_beta1

textures/hubris/quakevesi_static
{
	qer_editorimage textures/hubris/ei/quakevesi_static.tga
	qer_trans .5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks
	q3map_lightimage textures/hubris/pool3d_3e.tga
	cull disable
	{ 
		map textures/hubris/pool3d_5e.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
	}
	{ 
		map textures/hubris/pool3d_3e.tga
		blendFunc GL_ONE GL_ONE
		tcmod scale -.5 -.5
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

// Standard water
textures/hubris/water_green
{
	qer_editorImage textures/hubris/water_gw.tga
	qer_trans 0.75
	q3map_globalTexture
	surfaceparm water
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm lightfilter
	surfaceparm pointlight
	cull none
	deformVertexes wave 128 sin 0 0.2 0.5 0.15
	{ 
		map textures/hubris/water_gw.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen const 0.2
		depthWrite
		tcMod turb 0 0.01 0 0.05
		tcMod scroll 0.0 0.01
		rgbGen identity
	}
}

// Standard water with lightmap
textures/hubris/water_green_lm
{
	qer_editorImage textures/hubris/ei/water_green_lm.tga
	qer_trans 0.75
	q3map_globalTexture
	surfaceparm water
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	deformVertexes wave 128 sin 0 0.2 0.5 0.15
	{ 
		map textures/hubris/water_gw.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen const 0.2
		depthWrite
		tcMod turb 0 0.01 0 0.05
		tcMod scroll 0.0 0.01
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// Slowly scrolling water
textures/hubris/water_green_slow
{
	qer_editorImage textures/hubris/ei/water_green_slow.tga
	qer_trans 0.75
	q3map_globalTexture
	surfaceparm water
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm lightfilter
	surfaceparm pointlight
	cull none
	deformVertexes wave 128 sin 0 0.25 0.5 0.15
	{ 
		map textures/hubris/water_gw.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod turb 0 0.05 0 0.05
		tcMod scroll 0.0 0.075
		rgbGen identity
	}
	{
		map $whiteimage
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen const ( 0.0 0.0 0.0 )
	}
}

// Fast scrolling water
textures/hubris/water_green_fast
{
	qer_editorImage textures/hubris/ei/water_green_fast.tga
	qer_trans 0.75
	q3map_globalTexture
	surfaceparm water
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm lightfilter
	surfaceparm pointlight
	cull none
	deformVertexes wave 128 sin 0 0.7 0 0.6
	{ 
		map textures/hubris/water_gw.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod turb 0 0.15 0 0.05
		tcMod scroll 0.4 0.0
		rgbGen identity
	}
	{
		map $whiteimage
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen const ( 0.0 0.0 0.0 )
	}
}

// Standard water with mud blends (jump 1)
textures/hubris/water_green_mud
{
	qer_editorImage textures/hubris/ei/water_green_mud.tga
	qer_trans 0.75
	q3map_globalTexture
	surfaceparm water
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm lightfilter
	surfaceparm pointlight
	cull none
	deformVertexes wave 128 sin 0 0.2 0.5 0.15
	{ 
		map textures/hubris/water_gw.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen const 0.2
		depthWrite
		tcMod turb 0 0.01 0 0.05
		tcMod scroll 0.0 0.01
		rgbGen identity
	}
	{
		map textures/terrain_soc/ter_dirt1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod turb 0 0.01 0 0.05
		tcMod scroll 0.01 0.01
		rgbGen identity
	}
}

// Water in fountain
textures/hubris/water_green_fountain
{
	qer_editorImage textures/hubris/ei/water_green_fountain.tga
	qer_trans 0.75
	q3map_globalTexture
	surfaceparm water
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm lightfilter
	cull none
	deformVertexes wave 128 sin 0 0.2 0.5 0.15
	{ 
		map textures/hubris/water_gw.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen const 0.2
		depthWrite
		tcMod turb 0 0.01 0 0.05
		rgbGen identity
	}
	{
		map textures/hubris/waterplant_2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		tcMod scale 2 2
		tcMod turb 0 0.01 0 0.025
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
//---------------------------------------------------------------------

// Decals
textures/hubris/decal_1
{
	q3map_noTJunc
	surfaceparm nolightmap
	noPicMip
	polygonOffset
	{
		map textures/hubris/decal_1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen vertex
	}
}

textures/hubris/decal_2
{
	q3map_noTJunc
	surfaceparm nolightmap
	noPicMip
	polygonOffset
	{
		map textures/hubris/decal_2.tga
		blendFunc GL_ONE GL_ONE
		rgbGen vertex
	}
}

textures/hubris/decal_3
{
	q3map_noTJunc
	surfaceparm nolightmap
	noPicMip
	polygonOffset
	{
		map textures/hubris/decal_3.tga
		blendFunc GL_ONE GL_ONE
		rgbGen vertex
	}
}

textures/hubris/decal_4
{
	q3map_noTJunc
	surfaceparm nolightmap
	noPicMip
	polygonOffset
	{
		map textures/hubris/decal_4.tga
		blendFunc GL_ONE GL_ONE
		rgbGen vertex
	}
}

textures/hubris/decal_5
{
	q3map_noTJunc
	surfaceparm nolightmap
	noPicMip
	polygonOffset
	{
		map textures/hubris/decal_5.tga
		blendFunc GL_ONE GL_ONE
		rgbGen vertex
	}
}

textures/hubris/decal_6
{
	q3map_noTJunc
	surfaceparm nolightmap
	noPicMip
	polygonOffset
	{
		map textures/hubris/decal_6.tga
		blendFunc GL_ONE GL_ONE
		rgbGen vertex
	}
}
//---------------------------------------------------------------------

// Fog shaders
textures/hubris/fog_0
{
	qer_editorImage textures/hubris/ei/fog_0.tga
	qer_trans 0.5
	surfaceparm fog
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	fogParms ( 0.7 0.7 1.0 ) 7000
}

textures/hubris/fog_1
{
	qer_editorImage textures/hubris/ei/fog_1.tga
	qer_trans 0.5
	surfaceparm fog
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	fogParms ( 0.7 0.7 1.0 ) 13000
}

textures/hubris/fog_2
{
	qer_editorImage textures/hubris/ei/fog_2.tga
	qer_trans 0.5
	q3map_fogDir ( 0 1 0 )
	surfaceparm fog
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	fogParms ( 0.7 0.7 1.0 ) 20000
}

textures/hubris/fog_3
{
	qer_editorImage textures/hubris/ei/fog_3.tga
	qer_trans 0.5
	surfaceparm fog
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	fogParms ( 0.7 0.7 1.0 ) 20000
}

textures/hubris/fog_4
{
	qer_editorImage textures/hubris/ei/fog_4.tga
	qer_trans 0.5
	surfaceparm fog
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	fogParms ( 0.7 0.7 1.0 ) 9000
}

textures/hubris/fog_5
{
	qer_editorImage textures/hubris/ei/fog_5.tga
	qer_trans 0.5
	q3map_fogDir ( 0 1 0 )
	surfaceparm fog
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	fogParms ( 0.7 0.7 1.0 ) 12500
}

textures/hubris/fog_6
{
	qer_editorImage textures/hubris/ei/fog_6.tga
	qer_trans 0.5
	surfaceparm fog
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	fogParms ( 0.7 0.7 1.0 ) 12000
}
//---------------------------------------------------------------------

// SFX
textures/hubris/_black
{
	qer_editorimage textures/hubris/_black.tga
	q3map_bounce 0
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm nolightmap
	implicitMap textures/hubris/_black.tga
}

textures/hubris/teleporter_beam
{
	qer_editorImage textures/hubris/teleporter_beam.tga
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	noPicMip
	cull none
	{
		map $whiteimage
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen const ( 0.0 0.0 0.0 )
	}
	{
		map textures/hubris/teleporter_beam.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scroll 0.0 -2.5
		rgbGen identity
	}
}

textures/hubris/teleporter_beam_flicker
{
	qer_editorImage textures/hubris/teleporter_beam.tga
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	noPicMip
	cull none
	{
		map $whiteimage
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen wave noise 0.5 1 0.5 5
		rgbGen const ( 0.0 0.0 0.0 )
	}
	{
		map textures/hubris/teleporter_beam.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen wave noise 0.5 1 0.5 5
		tcMod scroll 0.0 -2.5
		rgbGen wave noise 0.5 1 0.5 5
	}
}
//---------------------------------------------------------------------

// Misc
textures/hubris/chain
{
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm nonsolid
	surfaceparm trans
	implicitMask -
}

textures/hubris/fl_att
{
	qer_editorimage textures/sfx/flame1.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	{
		videoMap video/flame.roq
		blendfunc add
	}
}

textures/hubris/suurusetest
{
	qer_editorimage textures/sfx/flame1.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	{
		videoMap video/flame.roq
		blendfunc add
	}
}

textures/hubris/flame_as2
{
	qer_editorimage textures/sfx/flame1.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	deformVertexes autosprite2
	{
		videoMap video/flame.roq
		blendfunc add
	}
}

textures/hubris/floor_stone1_dirty
{
	qer_editorImage textures/hubris/ei/floor_stone1_dirty.tga
	surfaceparm nonsolid
	{
		map textures/medieval_soc/floor_stone1.tga
		rgbGen identity
	}
	{
		map textures/terrain_soc/rock_grey3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 1.2 1.2
		alphaGen const 0.5
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/hubris/ivy_5
{
	qer_editorimage textures/hubris/ivy_5.tga
	qer_alphafunc greater 0.5
	q3map_shadeangle 90
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
   	noPicMip
	polygonOffset
	cull none
	{
		map textures/hubris/ivy_5.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}

textures/hubris/window
{
	q3map_lightmapFilterRadius 0 16
	q3map_surfacelight 70
	surfaceparm lightfilter
	surfaceparm glass
	surfaceparm trans
	surfaceparm nolightmap
	noPicMip
	cull none
	{
		map textures/hubris/window.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/hubris/window_light
{
	surfaceparm nomarks
	surfaceparm nolightmap
	{
		map $whiteimage
		rgbGen identity
	}
}

textures/hubris/nerd
{
	surfaceparm nolightmap
	surfaceparm carpetsteps
	noPicMip
	{
		map textures/hubris/nerd.tga
		rgbGen vertex
	}
}
